
package de.ivu.elect.business.staat.boundary;

import java.io.Serializable;

import de.ivu.elect.business.staat.entity.Staat;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class StaatFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public Staat create() {
        Staat entity = new Staat(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(Staat entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
